## org.apache.http.impl.entity
Class EntityDeserializer

    java.lang.Object
      org.apache.http.impl.entity.EntityDeserializer

    @Immutable
    public class EntityDeserializer

extends Object

HTTP entity deserializer.

This entity deserializer supports "chunked" and "identitiy" transfer-coding and content length delimited content.

This class relies on a specific implementation of `ContentLengthStrategy` to determine the content length or transfer encoding of the entity.

This class generates an instance of `HttpEntity` based on properties of the message. The content of the entity will be decoded transparently for the consumer.

Since:
  4.0

Constructor Summary
`EntityDeserializer(ContentLengthStrategy lenStrategy)`

Method Summary
`HttpEntity` `deserialize(SessionInputBuffer inbuffer, HttpMessage message)` Creates an `HttpEntity` based on properties of the given message.
`protected BasicHttpEntity` `doDeserialize(SessionInputBuffer inbuffer, HttpMessage message)` Creates a `BasicHttpEntity` based on properties of the given message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityDeserializer

    public EntityDeserializer(ContentLengthStrategy lenStrategy)

Method Detail

### doDeserialize

    protected BasicHttpEntity doDeserialize(SessionInputBuffer inbuffer,
                                            HttpMessage message)
                                     throws HttpException,
                                            IOException

  Creates a `BasicHttpEntity` based on properties of the given message. The content of the entity is created by wrapping `SessionInputBuffer` with a content decoder depending on the transfer mechanism used by the message.

  This method is called by the public `deserialize(SessionInputBuffer, HttpMessage)`.

  Parameters:
    `inbuffer` - the session input buffer.
    `message` - the message.
  Returns:
    HTTP entity.
  Throws:
    `HttpException` - in case of HTTP protocol violation.
    `IOException` - in case of an I/O error.

### deserialize

    public HttpEntity deserialize(SessionInputBuffer inbuffer,
                                  HttpMessage message)
                           throws HttpException,
                                  IOException

  Creates an `HttpEntity` based on properties of the given message. The content of the entity is created by wrapping `SessionInputBuffer` with a content decoder depending on the transfer mechanism used by the message.

  The content of the entity is NOT retrieved by this method.

  Parameters:
    `inbuffer` - the session input buffer.
    `message` - the message.
  Returns:
    HTTP entity.
  Throws:
    `HttpException` - in case of HTTP protocol violation.
    `IOException` - in case of an I/O error.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.